path: /build/build/gogs-www-apps-0.13.3+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="mysql pam postgres sqlite ssh cert" emerge www-apps/gogs -pv -t && \
    USE="mysql pam postgres sqlite ssh cert" emerge -j ${JOBS} --nodeps www-apps/gogs
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gogs && luet-portage --dir /pkgdir/gogs
    www-apps/gogs && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:7af98dee0b98691cced620868a2ec6e3fd430026735c79d9a0ef60027459f323
  package:
    name: gogs
    version: 0.13.3+2
    category: www-apps
    use_flags:
    - mysql
    - pam
    - postgres
    - sqlite
    - ssh
    - cert
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Gogs is a painless self-hosted Git service
    uri:
    - https://gogs.io
    license: MIT
    buildtimestamp: 2025-11-03 13:55:32.699002769 +0000 UTC m=+331.374760981
    labels:
      BDEPEND: dev-lang/go >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig
      DEPEND: pam? ( sys-libs/pam )
      IUSE: pam cert mysql postgres +sqlite ssh systemd
      RDEPEND: pam? ( sys-libs/pam ) dev-vcs/git ssh? ( net-misc/openssh ) mysql?
        ( || ( dev-db/mariadb dev-db/mysql-community ) ) postgres? ( dev-db/postgresql
        ) sqlite? ( dev-db/sqlite )
      emerge.packages: www-apps/gogs
      kit: net-kit
      original.package.name: www-apps/gogs
      original.package.slot: "0"
      original.package.version: 0.13.3
    treedir: /build/packages
  package_dir: /pkgdir/gogs
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e14288573885754efea855286db9445b36d89385c0621480b94cd00cb224dca5
compressiontype: zstd
files:
- etc/conf.d/gogs
- etc/gogs/.keep_www-apps_gogs-0
- etc/init.d/gogs
- usr/bin/gogs
- usr/share/doc/gogs-0.13.3/CHANGELOG.md.bz2
- usr/share/doc/gogs-0.13.3/README.md.bz2
- usr/share/doc/gogs-0.13.3/SECURITY.md.bz2
- usr/share/gogs/app.example.ini
- usr/share/gogs/auth.d/github.conf.example
- usr/share/gogs/auth.d/ldap_bind_dn.conf.example
- usr/share/gogs/auth.d/ldap_simple_auth.conf.example
- usr/share/gogs/auth.d/pam.conf.example
- usr/share/gogs/auth.d/smtp.conf.example
- var/db/pkg/www-apps/gogs-0.13.3/BDEPEND
- var/db/pkg/www-apps/gogs-0.13.3/BUILD_TIME
- var/db/pkg/www-apps/gogs-0.13.3/CATEGORY
- var/db/pkg/www-apps/gogs-0.13.3/CBUILD
- var/db/pkg/www-apps/gogs-0.13.3/CFLAGS
- var/db/pkg/www-apps/gogs-0.13.3/CHOST
- var/db/pkg/www-apps/gogs-0.13.3/CONTENTS
- var/db/pkg/www-apps/gogs-0.13.3/COUNTER
- var/db/pkg/www-apps/gogs-0.13.3/CTARGET
- var/db/pkg/www-apps/gogs-0.13.3/CXX
- var/db/pkg/www-apps/gogs-0.13.3/CXXFLAGS
- var/db/pkg/www-apps/gogs-0.13.3/DEFINED_PHASES
- var/db/pkg/www-apps/gogs-0.13.3/DEPEND
- var/db/pkg/www-apps/gogs-0.13.3/DESCRIPTION
- var/db/pkg/www-apps/gogs-0.13.3/EAPI
- var/db/pkg/www-apps/gogs-0.13.3/FEATURES
- var/db/pkg/www-apps/gogs-0.13.3/HOMEPAGE
- var/db/pkg/www-apps/gogs-0.13.3/INHERITED
- var/db/pkg/www-apps/gogs-0.13.3/IUSE
- var/db/pkg/www-apps/gogs-0.13.3/IUSE_EFFECTIVE
- var/db/pkg/www-apps/gogs-0.13.3/KEYWORDS
- var/db/pkg/www-apps/gogs-0.13.3/LDFLAGS
- var/db/pkg/www-apps/gogs-0.13.3/LICENSE
- var/db/pkg/www-apps/gogs-0.13.3/NEEDED
- var/db/pkg/www-apps/gogs-0.13.3/NEEDED.ELF.2
- var/db/pkg/www-apps/gogs-0.13.3/PF
- var/db/pkg/www-apps/gogs-0.13.3/RDEPEND
- var/db/pkg/www-apps/gogs-0.13.3/REQUIRES
- var/db/pkg/www-apps/gogs-0.13.3/RESTRICT
- var/db/pkg/www-apps/gogs-0.13.3/SIZE
- var/db/pkg/www-apps/gogs-0.13.3/SLOT
- var/db/pkg/www-apps/gogs-0.13.3/USE
- var/db/pkg/www-apps/gogs-0.13.3/environment.bz2
- var/db/pkg/www-apps/gogs-0.13.3/gogs-0.13.3.ebuild
- var/db/pkg/www-apps/gogs-0.13.3/repository
- var/lib/gogs/.keep_www-apps_gogs-0
- var/lib/gogs/custom/https/.keep_www-apps_gogs-0
- var/log/gogs/.keep_www-apps_gogs-0
package_cacheimage: ""
runtime:
  name: gogs
  version: 0.13.3+2
  category: www-apps
  use_flags:
  - mysql
  - pam
  - postgres
  - sqlite
  - ssh
  - cert
  requires:
  - name: postgresql
    version: '>=0'
    category: dev-db-13
  - name: sqlite
    version: '>=0'
    category: dev-db-3
  - name: git
    version: '>=0'
    category: dev-vcs
  - name: openssh
    version: '>=0'
    category: net-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Gogs is a painless self-hosted Git service
  uri:
  - https://gogs.io
  license: MIT
  labels:
    BDEPEND: dev-lang/go >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig
    DEPEND: pam? ( sys-libs/pam )
    IUSE: pam cert mysql postgres +sqlite ssh systemd
    RDEPEND: pam? ( sys-libs/pam ) dev-vcs/git ssh? ( net-misc/openssh ) mysql? (
      || ( dev-db/mariadb dev-db/mysql-community ) ) postgres? ( dev-db/postgresql
      ) sqlite? ( dev-db/sqlite )
    emerge.packages: www-apps/gogs
    kit: net-kit
    original.package.name: www-apps/gogs
    original.package.slot: "0"
    original.package.version: 0.13.3
